slepc-3.10.1 2018-10-23
Report Typos and Errors

# SVDSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetConvergenceTest(SVD svd,SVDConv conv)

Logically Collective on SVD

### Input Parameters

| svd | - singular value solver context obtained from SVDCreate()
| conv | - the type of convergence test

### Options Database Keys

| -svd_conv_abs | - Sets the absolute convergence test
| -svd_conv_rel | - Sets the convergence test relative to the singular value
| -svd_conv_user | - Selects the user-defined convergence test

### Note

The parameter 'conv' can have one of these values

| SVD_CONV_ABS | - absolute error ||r||
| SVD_CONV_REL | - error relative to the singular value l, ||r||/sigma
| SVD_CONV_USER | - function set by SVDSetConvergenceTestFunction()

### See Also

SVDGetConvergenceTest(), SVDSetConvergenceTestFunction(), SVDSetStoppingTest(), SVDConv

Location: src/svd/interface/svdopts.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages